%%
%% Customizações do abnTeX2 (http://abnTeX2.googlecode.com) para a Fatec
%%
%% This work may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.3
%% of this license or (at your option) any later version.
%% The latest version of this license is in
%%   http://www.latex-project.org/lppl.txt
%% and version 1.3 or later is part of all distributions of LaTeX
%% version 2005/12/01 or later.
%%
%% This work has the LPPL maintenance status `maintained'.
%% 
%% The Current Maintainer of this work is F. RASZEJA, no-email
%%
%% Further information about abnTeX2 are available on https://github.com/abntex/abntex2
%%

% ---
% INICIO DAS CUSTOMIZACOES PARA A UNIVERSIDADE Fatec
% ---

%----------------------------------------------------
% CORREÇÃO DO SUMÁRIO
%----------------------------------------------------
\NeedsTeXFormat{LaTeX2e}

\ProvidesClass{abntex2fatec}[2020/09/04 - v0.3]

% -- Opções Padrão ABNTEX

\PassOptionsToClass{
	12pt,
	openright,
	oneside,
	a4paper,
	brazil,
	sumario=tradicional,
	chapter=TITLE,
	section=TITLE,
	subsection=TITLE,
	subsubsection=TITLE,
	subsubsubsection=TITLE
}{abntex2}

\DeclareOption*{
	\PassOptionsToClass{\CurrentOption}{abntex2}
}

\ProcessOptions\relax

\LoadClass{abntex2}

\RequirePackage{etoc}
\RequirePackage{fatexSty}

\usepackage[a4paper, top=3cm, bottom=2cm, left=3cm, right=2cm]{geometry}

\usepackage[style=abnt]{biblatex}	% Citações padrão ABNT
\DisemulatePackage{setspace}
\DeclareFieldFormat{url}{\bibstring{urlfrom}\addcolon\space<\url{#1}>}
% Comandos Customizados Fatec
\renewcommand{\imprimircapa}{%
	\begin{capa}%
		\center
		\textbf\imprimircustom
		\vfill
		\bfseries\imprimirautor
		\vfill
		\begin{center}
			\bfseries\imprimirtitulo
		\end{center}
		\vfill
		\bfseries\imprimirlocal\\
		\bfseries\imprimirdata
	\end{capa}
}

\renewcommand{\folhaderostocontent}{%
	\begin{folhaderosto}%
		\center
		\bfseries\imprimirautor
		\vfill
		\begin{center}
			\bfseries\imprimirtitulo
		\end{center}
		\vspace{1.5cm}
		\hspace{.45\textwidth}
		\begin{minipage}{.5\textwidth}
			\SingleSpacing
			\normalfont\imprimirpreambulo
		\end{minipage}%
		\vfill
		\bfseries\imprimirlocal\\
		\bfseries\imprimirdata
	\end{folhaderosto}
}
\providecommand{\imprimircurso}{}
\providecommand{\imprimircustom}{}
\newcommand{\curso}[1]
{
	\renewcommand{\imprimircurso}{#1}
	\renewcommand{\imprimirinstituicao}
	{
		Centro Paula Souza
		\par
		Faculdade de Tecnologia de Local
		\par
		Curso Superior de Tecnologia em #1
	}
	\renewcommand{\imprimircustom}
	{
		CENTRO PAULA SOUZA
		\par
		FACULDADE DE TECNOLOGIA DE LOCAL
		\par
		CURSO SUPERIOR DE TECNOLOGIA EM \MakeUppercase{#1}
	}
}
